# Method: projects.locations.autoscalingPolicies.delete

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.autoscalingPolicies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.autoscalingPolicies/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.autoscalingPolicies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.autoscalingPolicies/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.autoscalingPolicies/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.autoscalingPolicies/delete#try-it)

Deletes an autoscaling policy. It is an error to delete an autoscaling policy that is in use by one or more clusters.

### HTTP request

`DELETE https://dataproc.googleapis.com/v1/{name=projects/*/locations/*/autoscalingPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The "resource name" of the autoscaling policy, as described in <https://cloud.google.com/apis/design/resource_names>. - For `projects.regions.autoscalingPolicies.delete`, the resource name of the policy has the following format: `projects/{projectId}/regions/{region}/autoscalingPolicies/{policyId}` - For `projects.locations.autoscalingPolicies.delete`, the resource name of the policy has the following format: `projects/{projectId}/locations/{location}/autoscalingPolicies/{policyId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dataproc.autoscalingPolicies.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).